// 时间转换
/**
 * 日期格式化
 * @param date  传入的时间
 * @param fmt   格式化样式
 * @returns {string}  返回格式化之后的时间
 */
export function formatDate(date, fmt) {
  if (!fmt) {
    fmt = 'yyyy-MM-dd'
  }
  if (/(y+)/.test(fmt)) {
    fmt = fmt.replace(
      RegExp.$1,
      (date.getFullYear() + "").substr(4 - RegExp.$1.length)
    );
  }
  let o = {
    "M+": date.getMonth() + 1,
    "d+": date.getDate(),
    "h+": date.getHours(),
    "m+": date.getMinutes(),
    "s+": date.getSeconds(),
  };
  for (let k in o) {
    if (new RegExp(`(${k})`).test(fmt)) {
      let str = o[k] + "";
      fmt = fmt.replace(
        RegExp.$1,
        RegExp.$1.length === 1 ? str : padLeftZero(str)
      );
    }
  }
  return fmt;
}
function padLeftZero(str) {
  return ("00" + str).substr(str.length);
}

//获取当前时间  getDay(0, 3600000), 第一个数传1为当前日期加1天 返回 2021-11-13
export function getDay(day, hours) {
	var today = new Date()
	// var targetday = today.getTime() + 1000 * 60 * 60 * 24 * day + hours
	var targetday = today.getTime() + 1000 * 60 * 60 * 24 * day
	today.setTime(targetday)
	var tYear = today.getFullYear()
	var tMonth = today.getMonth()
	var tDate = today.getDate() 
	console.log(today)
	// var getHours = today.getHours()
	tMonth = doHandleMonth(tMonth + 1)
	tDate = doHandleMonth(tDate)
	return tYear + '-' + tMonth + '-' + tDate
}
function doHandleMonth(month) {
	var m = month
	if (month.toString().length === 1) {
		m = '0' + month
	}
	return m
}